package com.xy.mapper.entity;

import com.xy.entity.DeviceInfo;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
public class DeviceInfoQueryPage extends DeviceInfo {

    /**
     * 安卓版本号
     */
    private String androidVersion;

    /**
     * sn号
     */
    private String deviceSn;

    /**
     * 联网状态
     */
    private Integer netState;

    /**
     * 商户名称
     */
    private String mercName;

    /**
     * 联网类型
     */
    private String netType;

    /**
     * 信号强度
     */
    private Integer netDbm;

    /**
     * 锁机状态
     */
    private Integer deviceState;

    /**
     * 距离
     */
    private Integer m;
}
