package com.xy.utils.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 字典枚举
 */
@Getter
@AllArgsConstructor
public enum DictEnum {
    DEVICE_DATA_TYPE("device_data_type", "设备统计数据-统计类型"),

    DATA_CLEAR_SIZE("data_clear_size", "数据保留数配置"),

    DEVICE_QUALITY_STATUS("device_quality_status", "设备质检-合格状态"),

    DEVICE_FACTORY_STATUS("device_factory_status", "设备质检-出厂状态"),

    MQTT_CMD_TEMPLET_QUALITY("mqtt_cmd_templet_quality", "mqtt指令-指令模板-质检"),

    ;

    private String key;

    private String msg;
}
