package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceInfoDto;
import com.xy.utils.R;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * <p>
 * 设备-信息 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@RestMappingController("device-info")
public interface DeviceInfoService {

    /**
     * 查询对象
     *
     * @param obj
     * @return
     */
    @PostMapping("obj")
    R<DeviceInfoDto.Vo> obj(@RequestBody DeviceInfoDto.Obj obj);

    /**
     * 设备访问历史添加
     *
     * @param obj
     * @return
     */
    @PostMapping("history")
    R history(@RequestBody DeviceInfoDto.Obj obj);
}
